Subject: Re: power and percpu: Could we move the paca into the percpu area?

From: Segher Boessenkool <[email-masked]>
Date: Thu, 12 Jun 2014 17:15:13 -0500

On Fri, Jun 13, 2014 at 07:57:08AM +1000, Benjamin Herrenschmidt wrote:
> On Thu, 2014-06-12 at 07:26 -0500, Segher Boessenkool wrote:
> > But, indeed, it does look like GCC doesn't use it.  It seems to me
> > that
> > some ABI forbade userland (or non-libraries or whatever) from using
> > it.
> > I'll see what I can find out.
> 
> I can still use -ffixed-cr5 for safety no ?

Yes, definitely, and in fact you have to if GCC changes to not have cr5
fixed by default (which may or may not happen).  It will be good
documentation in either case :-)

Segher